net.minecraft.entity

## Class SharedMonsterAttributes

- java.lang.Object
- - net.minecraft.entity.SharedMonsterAttributes

-     public class SharedMonsterAttributes
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IAttribute` | `attackDamage`
    `static IAttribute` | `followRange`
    `static IAttribute` | `knockbackResistance`
    `static IAttribute` | `maxHealth`
    `static IAttribute` | `movementSpeed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedMonsterAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `func_151475_a(BaseAttributeMap p_151475_0_, NBTTagList p_151475_1_)`
    `static AttributeModifier` | `readAttributeModifierFromNBT(NBTTagCompound par0NBTTagCompound)`
    `static NBTTagList` | `writeBaseAttributeMapToNBT(BaseAttributeMap par0BaseAttributeMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxHealth

          public static final IAttribute maxHealth

    - #### followRange

          public static final IAttribute followRange

    - #### knockbackResistance

          public static final IAttribute knockbackResistance

    - #### movementSpeed

          public static final IAttribute movementSpeed

    - #### attackDamage

          public static final IAttribute attackDamage

  - ### Constructor Detail

    - #### SharedMonsterAttributes

          public SharedMonsterAttributes()

  - ### Method Detail

    - #### writeBaseAttributeMapToNBT

          public static NBTTagList writeBaseAttributeMapToNBT(BaseAttributeMap par0BaseAttributeMap)

    - #### func_151475_a

          public static void func_151475_a(BaseAttributeMap p_151475_0_,
                           NBTTagList p_151475_1_)

    - #### readAttributeModifierFromNBT

          public static AttributeModifier readAttributeModifierFromNBT(NBTTagCompound par0NBTTagCompound)